
Implementation of Low-rank optimization with trace norm penalty
(c) 2011 Bamdev Mishra and Gilles Meyer

This package contains a Matlab implementation of the low-rank matrix
completion algorithm presented in the paper

B. Mishra, G. Meyer, F. Bach and R. Sepulchre
Low-rank optimization with trace norm penalty
Technical report (arXiv 1112.2318), 2011

The implementation is due to 
Bamdev Mishra <b.mishra@ulg.ac.be> and Gilles Meyer <g.meyer@ulg.ac.be>.

The implementation is a research prototype still in development and is provided AS IS. 
No warranties or guarantees of any kind are given. Do not distribute this
code or use it other than for your own research without permission of the authors.

Feedback is greatly appreciated.

Installation:

- Set current directory as your current folder in Matlab or put it in your Matlab path
- Run install_mex.m
- To check that everything works, run "Demo_regularization_path.m" at Matlab command prompt
  (you should see some plots in the end)